Bug 216334 - bug in rc.sysinit on FC6 -/dev/mapper/dmname
Summary: bug in rc.sysinit on FC6 -/dev/mapper/dmname
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 216490
TreeView+ depends on / blocked
 
Reported: 2006-11-19 12:41 UTC by Albert Graham
Modified: 2014-03-17 03:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 18:10:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Albert Graham 2006-11-19 12:41:23 UTC
Description of problem:

bug in rc.sysinit on FC6

on around line 442 in /etc/rc.d/rc.sysinit start up file the code says:

                        dmname=$(resolve_dm_name $x)
                        [ -n "$dmname" ] && continue
                        /sbin/dmraid.static -ay -i -p "$dmname" >/dev/null 2>&1
                        /sbin/kpartx -a -p p "/dev/mapper/$dmname"

On my machine when the system starts I get a repeated load of the following
"scary" messages:

---- cut ---
Missing major number for persistent device.
Couldn't create ioctl argument.
last_lba(): I don't know how to handle files with mode 41ed
read error, sector 0
read error, sector 1
read error, sector 29
Missing major number for persistent device.
Couldn't create ioctl argument.
---------------

I think this is becase the line that says:

[ -n "$dmname" ] && continue

should say:

[ -z "$dmname" ] && continue

i.e. -z (zero length) - empty or blank instead of non-empty or blank.



Version-Release number of selected component (if applicable):
initscripts-8.45.5-1

How reproducible:

just boot your machine and watch.

Steps to Reproduce:
1. power down
2. power up
3. watch your screen in non-gui mode
  
Actual results:

---- cut ---
Missing major number for persistent device.
Couldn't create ioctl argument.
last_lba(): I don't know how to handle files with mode 41ed
read error, sector 0
read error, sector 1
read error, sector 29
Missing major number for persistent device.
Couldn't create ioctl argument.

---------------

Expected results:

nothing

Additional info:

Comment 1 Bill Nottingham 2006-11-20 19:18:15 UTC
Fixed in CVS. Will be in a future FC-6 update at some point.

Comment 2 Fedora Update System 2006-11-20 21:57:08 UTC
initscripts-8.45.6-1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 3 Fedora Update System 2006-11-29 12:26:07 UTC
initscripts-8.45.7-1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Fedora Update System 2006-12-06 17:40:14 UTC
initscripts-8.45.7-1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.